{
  "WSPort": 80,
  "WSSPort": 443,
  "LocalAuthAPI": "",
  "OCPP20_WSUrl": "ws://ocpp.phihong.com.tw:5004",
  "OCPP20_WSSUrl": "ws://ocpp.phihong.com.tw:5004",
  "MaintainMode": 0,
  "superSocket": {
    "Servers": [
      {
        "Name": "SuperWebSocket",
        "serverTypeName": "SuperWebSocket",
        "Certificate": {
          "filePath": "localhost.pfx",
          "password": "supersocket",
          "storeName": "My",
          "thumbprint": "‎3f07fb28c158843209db8f51bfe748dbe9f52399",
          "storeLocation": "LocalMachine",
          "clientCertificateRequired": "false",
          "keyStorageFlags": "Exportable"
        }
      }
    ]
  },
  "SuperSocketServerCertificate": {
    "filePath": "localhost.pfx",
    "password": "supersocket",
    "storeName": "My",
    "thumbprint": "‎3f07fb28c158843209db8f51bfe748dbe9f52399",
    "storeLocation": "LocalMachine",
    "clientCertificateRequired": "false",
    "keyStorageFlags": "Exportable"
  },
  "NLog": {
    "targets": {
      "async": true,
      "f": {
        "type": "File",
        "fileName": "${basedir}/logs/${shortdate}.log",
        "layout": "${longdate} ${uppercase:${level}} ${message}"
      },
      "ws": {
        "type": "File",
        "fileName": "${basedir}/logs/WS_${shortdate}.log",
        "layout": "${longdate} ${uppercase:${level}} ${message}"
      },
      "Console": {
        "type": "Console",
        "layout": "${longdate} ${uppercase:${level}} ${message}"
      },
      "auth": {
        "type": "File",
        "fileName": "${basedir}/logs/Auth_${shortdate}.log",
        "layout": "${longdate} ${callsite} ${uppercase:${level}} ${message}"
      }
    },
    "rules": [
      {
        "ruleName": "OCPPServer",
        "logger": "OCPPServer.*",
        "minLevel": "Info",
        "writeTo": "ws"
      },
      {
        "ruleName": "SuperWebSocket",
        "logger": "SuperWebSocket.*",
        "minLevel": "Info",
        "writeTo": "ws"
      },
      {
        "ruleName": "OuterBusinessService",
        "logger": "EVCB_OCPP.WSServer.Service.OuterBusinessService",
        "level": "Info",
        "writeTo": "auth"
      },
      {
        "ruleName": "FileLog",
        "logger": "EVCB_OCPP.*",
        "minLevel": "Debug",
        "writeTo": "f"
      },
      {
        "ruleName": "ConsoleLog",
        "logger": "EVCB_OCPP.*",
        "minlevel": "Trace",
        "writeTo": "console"
      }
    ]
  },
  "ConnectionStrings": {
    "ConnectionLogDBContext": "data source=172.1.0.131;initial catalog=Docker_ConnectionLog;;persist security info=True;user id=sa;password=B58Py42j/4cj84;MultipleActiveResultSets=False;App=EntityFramework;TrustServerCertificate=True;",
    "MainDBContext": "data source=172.1.0.131;initial catalog=Docker_Main;;persist security info=True;user id=sa;password=B58Py42j/4cj84;MultipleActiveResultSets=False;App=EntityFramework;TrustServerCertificate=True;",
    "MeterValueDBContext": "data source=172.1.0.131;initial catalog=Docker_MeterValue;;persist security info=True;user id=sa;password=B58Py42j/4cj84;MultipleActiveResultSets=False;App=EntityFramework;TrustServerCertificate=True;",
    "WebDBContext": "data source=172.1.0.131;initial catalog=Docker_Web;;persist security info=True;user id=sa;password=B58Py42j/4cj84;MultipleActiveResultSets=False;App=EntityFramework;TrustServerCertificate=True;"
  }
}